package com.yihu.wlyy.entity.patient;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * 患者就诊事件
 */
@Entity
@Table(name = "wlyy_patient_event_img")
public class PatientEventImg extends IdEntity implements Serializable {

	// 事件ID
	private Long eventId;
	// 图片类型（病历/处方/病理报告/检查报告/检验报告/其他）
	private String imgType;
	// 图片标签
	private String imgLabel;
	// 图片说明
	private String imgContent;
	// 图片路径
	private String imgUrl;
	// 创建时间
	private Date createTime;

	public Long getEventId() {
		return eventId;
	}

	public void setEventId(Long eventId) {
		this.eventId = eventId;
	}

	public String getImgType() {
		return imgType;
	}

	public void setImgType(String imgType) {
		this.imgType = imgType;
	}

	public String getImgLabel() {
		return imgLabel;
	}

	public void setImgLabel(String imgLabel) {
		this.imgLabel = imgLabel;
	}

	public String getImgContent() {
		return imgContent;
	}

	public void setImgContent(String imgContent) {
		this.imgContent = imgContent;
	}

	public String getImgUrl() {
		return imgUrl;
	}

	public void setImgUrl(String imgUrl) {
		this.imgUrl = imgUrl;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

}